--- /dev/null
+---
+title: VPS Utils
+homepage: https://webinstall.dev/vps-utils
+tagline: |
+ VPS Utils make it easy to setup and manage a VPS
+description: |
+ VPS Utils includes shortcut commands for some common tasks, including `cap-net-bind`, 'vps-addswap', and 'vps-myip'
+---
+
+**cap-net-bind**:
+
+`cap-net-bind` will give the specified program the ability to listen on
+privileged ports, such as 80 (http) and 443 (https) without `root` privileges or
+`sudo`.
+
+```bash
+sudo cap-net-bind node
+```
+
+This is the same as running the full command:
+
+```bash
+setcap 'cap_net_bind_service=+ep' $(readlink -f $(which node))
+```
+
+**vps-myip**:
+
+Will output externally detected IPv4 and IPv6 addresses. See
+<https://webinstall.dev/vps-myip>.
+
+```bash
+vps-myip
+```
+
+```txt
+IPv4 (A) : 136.36.196.101
+IPv6 (AAAA): 2605:a601:a919:9800:f8be:f2c4:9ad7:9763
+```
+
+**vps-addswap**:
+
+Adds and activates permanent swap in `/var/swapfile`. See
+<https://webinstall.dev/vps-addswap>.
+
+```bash
+vps-addswap
+```
--- /dev/null
+#!/bin/bash
+
+{
+ set -e
+ set -u
+
+ my_bin="$1"
+ if [ -z "$(which $my_bin)"]; then
+ echo "'$my_bin' not found"
+ exit 1
+ fi
+ my_sudo=""
+ if [ -n "$(command -v sudo)" ]; then
+ my_sudo=sudo
+ fi
+ $my_sudo setcap 'cap_net_bind_service=+ep' $(readlink -f $(which $my_bin))
+}
--- /dev/null
+{
+ rm -f "$HOME/.local/bin/vps-myip" "$HOME/.local/bin/vps-addswap" "$HOME/.local/bin/cap-net-bind"
+ #webi_download "$WEBI_HOST/packages/vps-utils/" "$HOME/.local/bin/"
+ webi_download "$WEBI_HOST/packages/vps-utils/cap-net-bind.sh" "$HOME/.local/bin/cap-net-bind"
+ webi_download "$WEBI_HOST/packages/vps-utils/vps-myip.sh" "$HOME/.local/bin/vps-myip"
+ webi_download "$WEBI_HOST/packages/vps-utils/vps-addswap.sh" "$HOME/.local/bin/vps-addswap"
+ chmod a+x "$HOME/.local/bin/cap-net-bind"*
+ chmod a+x "$HOME/.local/bin/vps-"*
+}